//
//     Copyright 2006 Jim Bublitz <jbublitz@nwinternet.com>
//     Earlier copyrights 1998 - 2005 Jim Bublitz and/or Phil Thompson
//     may also apply


//                 Generated by preSip
//            module tdehtml  version KDE_3_5_2

%Copying

 This software is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License, or (at your option) any later version.

 This software is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public
 License along with this library; see the file COPYING.
 If not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

%End

%Module tdehtml

%Import tqt/tqtmod.sip
%Import tqtxml/tqtxmlmod.sip
%Import dcopmod.sip
%Import tdecoremod.sip
%Import tdefxmod.sip
%Import tdeuimod.sip
%Import tdeiomod.sip
%Import tdeutilsmod.sip
%Import tdepartsmod.sip

%Include css_rule.sip
%Include css_stylesheet.sip
%Include css_value.sip
%Include dom2_events.sip
%Include dom2_range.sip
%Include dom2_traversal.sip
%Include dom2_views.sip
%Include dom_doc.sip
%Include dom_element.sip
%Include dom_exception.sip
%Include dom_misc.sip
%Include dom_node.sip
%Include dom_string.sip
%Include dom_text.sip
%Include dom_xml.sip
%Include html_base.sip
%Include html_block.sip
%Include html_document.sip
%Include html_element.sip
%Include html_form.sip
%Include html_head.sip
%Include html_image.sip
%Include html_inline.sip
%Include html_list.sip
%Include html_misc.sip
%Include html_object.sip
%Include html_table.sip
%Include tdehtml_part.sip
%Include tdehtml_settings.sip
%Include tdehtmlview.sip
@mark@
